# Verify a facemap

Verifies a facemap challenge when calling a SCA-secured endpoint. Make sure to [create a facemap](/api-reference/legacy/sca-facemaps/scafacemapcreate) before using this endpoint.
A facemap should be exported from your FaceTec server using the SDK's [export API](https://dev.facetec.com/api-guide#export-3d-facemap). Please use Wise's FaceTec [public key](/api-reference/legacy/facetec/facetecpublickeyget) to encrypt a facemap during the export process.

Endpoint: POST /v2/profiles/{profileId}/facemaps/verify
Security: UserToken

## Path parameters:

  - `profileId` (integer, required)
    The profile ID.

## Header parameters:

  - `One-Time-Token` (string, required)
    A one-time token unique identifier.

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Request fields (application/json):

  - `faceMap` (string)
    A base64 encoded string.

## Response 200 fields (application/json):

  - `oneTimeToken` (string)
    A one-time token unique identifier.
    Example: 5932d5b5-ec13-452f-8688-308feade7834

  - `challenges` (array)
    An array of challenges.

  - `challenges.primaryChallenge` (object)

  - `challenges.primaryChallenge.type` (string)
    A type of challenge.
    Example: PIN

  - `challenges.passed` (boolean)
    The status of a challenge.
    Example: false

  - `validity` (integer)
    The One-Time Token expiration in seconds.
    Example: 3600

